Subject: bug#937: elogind: SwayWM fails to launch from vTTY: Could not take device: No such file or directory

From: [email-masked]
Date: Sun, 25 Jan 2026 00:30:07 +0000

On Saturday, January 24th, 2026 at 17:34, Andrew Bower <[email-masked]> wrote:
> One small thing to try, could you add '--verbose --no-close' to
> START_ARGS?

It appears log messages from elogind would go to /var/log/auth.log; is this correct? I see nothing different with --verbose and --no-close options.

Looking at the elogind source, it appears I may need to rebuild it with ENABLE_DEBUG_ELOGIND and/or LOG_TRACE:

- https://git.devuan.org/devuan/elogind/src/branch/master/src/basic/log.h#L235
- https://git.devuan.org/devuan/elogind/src/branch/master/src/basic/log.h#L241
- https://github.com/elogind/elogind/blob/88c346cdc5ef231465552de9c55332fd9d2c408b/meson.build#L1248

It's also not clear what --verbose should impact, looking briefly at the source.

kennylevinsen, via [email-masked], has told:

> 14:56 < kennylevinsen> well the main things to look for: 1. is elogind still running as root? it has to, 2. is the test being run after the GPU is available (if you're starting sway itself from an init script you can be too fast)
> 14:59 < kennylevinsen> worst case you could edit the init script to strace elogind
> 15:00 < kennylevinsen> but no I don't quite know what that init system does and why it might have broken it

1. elogind does run as root
2. I assume the GPU is still available; I have not altered anything but the init script due to upgrade, and flopping back/forth to daemon/notify in the same boot functions as expected.

I think to rebuild elogind with debug logging before wading through strace logs.

--
Nathan